Installer - Bug #30868

Error with candlepin and port 23443 in current katello dev boxes
09/17/2020 06:56 PM - Samir Jha

Status: Closed

Priority: Normal
Assignee: Jonathon Turel
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-kat

ello_devel/pull/243

Description

| am seeing this on forklift katello dev boxes when connecting to candlepin.
Looks like we need to maybe release/backport something here? Not sure so filing this as an issue.
https://wiki.theforeman.org/issues/29664

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: 2020-09-17T18:39:04 [I|app|] Seeding /home/vagra

nt/katello/db/seeds.d/102-organizations.rb

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: 2020-09-17T18:39:05 [I|bac|] Task {label: Action

s::Katello::0rganization::Create, id: d9c32322-f905-4a87-aff8-d93dc005e38b, execution_plan_id: e39

7843c-2bbd-4960-b31f-4e96f47dc2le} state changed: planning

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: 2020-09-17T18:39:05 [W|app|] Failed to open TCP

connection to localhost:23443 (Connection refused - connect (2) for "localhost" port 23443)

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec [bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/net/htt

p.rb:939:in “rescue in block in connect'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/net/htt

p.rb:936:in “block in connect'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/timeout

.rb:93:1in “block in timeout'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/timeout

.rb:103:in “timeout'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/net/htt

p.rb:935:in "“connect'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec [bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/net/htt

p.rb:920:in “do_start'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /opt/rh/rh-ruby25/root/usr/share/ruby/net/htt

p.rb:909:in “start'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/foreman/.vendor/ruby/2.5.0/gems

/rest-client-2.1.0/lib/restclient/request.rb:727:in " transmit'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec [bundle-exec rake db:seed]/returns: | /home/vagrant/foreman/.vendor/ruby/2.5.0/gems

/rest-client-2.1.0/1lib/restclient/request.rb:163:in " execute'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/foreman/.vendor/ruby/2.5.0/gems

/rest-client-2.1.0/1lib/restclient/request.rb:63:in " execute'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/foreman/.vendor/ruby/2.5.0/gems
/rest-client-2.1.0/1lib/restclient/resource.rb:51:in “get'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec [bundle-exec rake db:seed]/returns: | /home/vagrant/katello/app/models/katello/ping
.rb:230:1in “backend_status'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/katello/app/models/katello/ping
.rb:90:1in “block in ping_candlepin_without_auth’

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/katello/app/models/katello/ping
.rb:139:in “exception_watch'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/katello/app/models/katello/ping
.rb:89:1n “ping_candlepin_without_auth'

[ WARN 2020-09-17T18:39:05 main] /Stage[main]/Katello_devel::Setup/Katello_devel::Bundle[exec rake
db:seed] /Exec[bundle-exec rake db:seed]/returns: | /home/vagrant/katello/app/models/katello/ping
.rb:29:in “ping'

Related issues:
Related to Katello - Feature #30087: Selinux change for Candlepin on port 23443 Closed

History

#1 - 09/17/2020 06:56 PM - Samir Jha
- Related to Feature #30087: Selinux change for Candlepin on port 23443 added

#2 - 09/17/2020 07:01 PM - Samir Jha

| see the selinux policy PR is merged. | am not sure if it's being pulled into devel environments at the moment?
https://github.com/Katello/katello-selinux/pull/29

#3 - 09/28/2020 06:14 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Jonathon Turel

- Pull request https://github.com/theforeman/puppet-katello_devel/pull/243 added

#4 - 09/28/2020 06:33 PM - The Foreman Bot
- Fixed in Releases 2.3.0 added

#5 - 11/24/2020 04:47 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

This was merged.

#6 - 11/30/2020 05:47 PM - Ewoud Kohl van Wijngaarden
- Category set to Foreman modules
- Triaged changed from No to Yes

- Fixed in Releases deleted (2.3.0)
